image: node:latest

stages:
  - build
  - run

# Job's name
first-job:
  # Define stage
  stage: build
  # What to run on the job.
  script:
    - cd sf4
    - npm install
    - npm run build
    - echo $NEXT_PUBLIC_APP_URL > env.txt
  artifacts:
    paths:
      - $CI_PROJECT_DIR/*

# second-job:
#   stage: run
#   script:
#     - npm run start
#     - node test.js
#   artifacts:
#     paths:
#       - node_modules/
